Debian Bug report logs - #686547
t-p-u approval: calibre/0.8.51+dfsg1-0.1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: jimmy the saint <lowid95@gmail.com>

Date: Mon, 3 Sep 2012 04:21:02 UTC

Severity: normal

Tags: confirmed

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lowid95@gmail.com, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Mon, 03 Sep 2012 04:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jimmy the saint <lowid95@gmail.com>:
New Bug report received and forwarded. Copy sent to lowid95@gmail.com, Debian Release Team <debian-release@lists.debian.org>. (Mon, 03 Sep 2012 04:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jimmy the saint <lowid95@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: calibre/0.8.51+dfsg-1
Date: Sun, 02 Sep 2012 21:22:14 -0700
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package calibre

There is a bug in the currently used version, which was fixed in 0.8.52,
preventing the processing of .Lit files.  Since .Lit is one of the most
commonly used ebook file formats, and Calibre is the primary ebook management
software available for Debian users, this is significant.

Currently, version 0.8.60 is capable of migrating to Testing, except for the
freeze request.

As per the email contact I had with the release team, I am including links to
bugs file in Launchpad as well as the Calibre changelog.

Here are links to the  bugs in their bug tracker (he uses Launchpad).

https://bugs.launchpad.net/calibre/+bug/998216
https://bugs.launchpad.net/calibre/+bug/998248

Here is a link to the Calibre changelog.  You will note that the version info
for 0.8.52 included a fix to the regression.

http://calibre-ebook.com/whats-new

(include/attach the debdiff against the package in testing)

Alas, my Linux-fu is still at yellow belt level, and I have no idea how to work
up a debdiff.

unblock calibre/0.8.51+dfsg-1

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Mon, 03 Sep 2012 04:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 03 Sep 2012 04:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 686547@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: jimmy the saint <lowid95@gmail.com>, 686547@bugs.debian.org
Cc: little_miry@yahoo.es, mpitt@debian.org
Subject: Re: Bug#686547: unblock: calibre/0.8.51+dfsg-1
Date: Mon, 03 Sep 2012 06:41:02 +0200
Control: tags -1 moreinfo
Control: retitle -1 unblock: calibre/0.8.64+dfsg-1

On 2012-09-03 06:22, jimmy the saint wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: unblock
> 
> Please unblock package calibre
> 

Hi,

> There is a bug in the currently used version, which was fixed in 0.8.52,
> preventing the processing of .Lit files.  Since .Lit is one of the most
> commonly used ebook file formats, and Calibre is the primary ebook management
> software available for Debian users, this is significant.
> 
> Currently, version 0.8.60 is capable of migrating to Testing, except for the
> freeze request.
> 
> As per the email contact I had with the release team, I am including links to
> bugs file in Launchpad as well as the Calibre changelog.
> 

(per email being [1])

> Here are links to the  bugs in their bug tracker (he uses Launchpad).
> 
> https://bugs.launchpad.net/calibre/+bug/998216
> https://bugs.launchpad.net/calibre/+bug/998248
> 
> Here is a link to the Calibre changelog.  You will note that the version info
> for 0.8.52 included a fix to the regression.
> 
> http://calibre-ebook.com/whats-new
> 

They look very much like something we would want a fix for.

> (include/attach the debdiff against the package in testing)
> 
> Alas, my Linux-fu is still at yellow belt level, and I have no idea how to work
> up a debdiff.
> 

debdiff is a tool in devscripts that accepts two .dsc files (and the
relevant orig.tar balls).  Something like

 $ dget http://$h/debian/pool/main/c/calibre/calibre_0.8.51+dfsg-1.dsc
 $ dget http://$h/debian/pool/main/c/calibre/calibre_0.8.64+dfsg-1.dsc
 $ debdiff calibre_0.8.51+dfsg-1.dsc calibre_0.8.64+dfsg-1.dsc \
    > calibre.debdiff

would have done.  Anyway, in the particular case I have already
requested the maintainers doing this as a t-p-u (i.e.
"testing-proposed-updates"), so we don't need the above mentioned
debdiff in this case.  :)

> unblock calibre/0.8.51+dfsg-1
> 
> [...]
> 

For the next time, please use the version number of the package you want
unblocked rather than the one in testing.  I have requested the bug
title being renamed accordingly.  :)


~Niels

[1] https://lists.debian.org/debian-release/2012/09/msg00047.html




Added tag(s) moreinfo. Request was from Niels Thykier <niels@thykier.net> to 686547-submit@bugs.debian.org. (Mon, 03 Sep 2012 04:45:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'unblock: calibre/0.8.64+dfsg-1' from 'unblock: calibre/0.8.51+dfsg-1' Request was from Niels Thykier <niels@thykier.net> to 686547-submit@bugs.debian.org. (Mon, 03 Sep 2012 04:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Sat, 15 Sep 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 15 Sep 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #19 received at 686547@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: 686547@bugs.debian.org
Subject: Re: unblock: calibre/0.8.64+dfsg-1
Date: Sat, 15 Sep 2012 20:34:45 +0200
[Message part 1 (text/plain, inline)]
Hi,

I've prepared a t-p-u upload for calibre fixing _only_ #653328. I'm
slightly confused, why you ask for an update through t-p-u if you intend
to unblock 0.8.64+dfsg-1 which is in Sid currently and fixes the issues
outlined.

I didn't upload the update, because of the bugs mentioned in this bug
report. There are basically two alternatives as it looks:

1) Do a t-p-u for calibre fixing #653328 only. That's what I did, find a
debdiff attached below (note, however, it needs a new original tarball).
The full source and binary packages are available on [1]. Feel free to
upload, or tell me to upload it if you want to go that track.

2) Unblock 0.8.64+dfsg-1 which adds an entirely new upstream release
which fixes the problems outlined in this bug, and ships
quick_start.epub with liberated license terms - so no update is needed
beyond umblocking calibre



[1] http://daemonkeeper.net/wp-content/files/calibre/
-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
[calibre_0.8.51+dfsg+wheezy1-1.1.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Sun, 30 Sep 2012 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 30 Sep 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #24 received at 686547@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Arno Töll <arno@debian.org>, 686547@bugs.debian.org
Subject: Re: Bug#686547: unblock: calibre/0.8.64+dfsg-1
Date: Sun, 30 Sep 2012 15:10:55 +0200
[Message part 1 (text/plain, inline)]
On Sat, Sep 15, 2012 at 20:34:45 +0200, Arno Töll wrote:

> Hi,
> 
> I've prepared a t-p-u upload for calibre fixing _only_ #653328. I'm
> slightly confused, why you ask for an update through t-p-u if you intend
> to unblock 0.8.64+dfsg-1 which is in Sid currently and fixes the issues
> outlined.
> 
Did anybody say we intend to unblock 0.8.64?

> I didn't upload the update, because of the bugs mentioned in this bug
> report. There are basically two alternatives as it looks:
> 
> 1) Do a t-p-u for calibre fixing #653328 only. That's what I did, find a
> debdiff attached below (note, however, it needs a new original tarball).
> The full source and binary packages are available on [1]. Feel free to
> upload, or tell me to upload it if you want to go that track.
> 
> 2) Unblock 0.8.64+dfsg-1 which adds an entirely new upstream release
> which fixes the problems outlined in this bug, and ships
> quick_start.epub with liberated license terms - so no update is needed
> beyond umblocking calibre
> 
There's a third:

3) upload to tpu a fix for whatever issues are serious enough, not just
#653328.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Wed, 31 Oct 2012 15:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 31 Oct 2012 15:39:08 GMT) Full text and rfc822 format available.

Message #29 received at 686547@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Arno Töll <arno@debian.org>
Cc: 686547@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#686547: unblock: calibre/0.8.64+dfsg-1
Date: Wed, 31 Oct 2012 16:34:43 +0100
Hi,

Julien Cristau wrote (30 Sep 2012 13:10:55 GMT) :
> On Sat, Sep 15, 2012 at 20:34:45 +0200, Arno Töll wrote:

>> I didn't upload the update, because of the bugs mentioned in this bug
>> report. There are basically two alternatives as it looks:
>> 
>> 1) Do a t-p-u for calibre fixing #653328 only. That's what I did, find a
>> debdiff attached below (note, however, it needs a new original tarball).
>> The full source and binary packages are available on [1]. Feel free to
>> upload, or tell me to upload it if you want to go that track.
>> 
>> 2) Unblock 0.8.64+dfsg-1 which adds an entirely new upstream release
>> which fixes the problems outlined in this bug, and ships
>> quick_start.epub with liberated license terms - so no update is needed
>> beyond umblocking calibre
>> 
> There's a third:

> 3) upload to tpu a fix for whatever issues are serious enough, not just
> #653328.

Apart of #653328, only bugs of severity normal or minor were fixed
since 0.8.51+dfsg-1.

However, the fixes for #678686 (typo in package description) and
#674838 (fonts-liberation path changed and the symbolic link is
broken) look trivial, harmless, and useful enough to be worth
including in Wheezy at this point.
=> Julien's third alternative makes sense to me.

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Wed, 19 Dec 2012 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 19 Dec 2012 19:45:07 GMT) Full text and rfc822 format available.

Message #34 received at 686547@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: intrigeri <intrigeri@boum.org>, 686547@bugs.debian.org
Cc: Arno Töll <arno@debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#686547: unblock: calibre/0.8.64+dfsg-1
Date: Wed, 19 Dec 2012 19:40:04 +0000
On Wed, 2012-10-31 at 16:34 +0100, intrigeri wrote:
> Julien Cristau wrote (30 Sep 2012 13:10:55 GMT) :
> > 3) upload to tpu a fix for whatever issues are serious enough, not just
> > #653328.
> 
> Apart of #653328, only bugs of severity normal or minor were fixed
> since 0.8.51+dfsg-1.
> 
> However, the fixes for #678686 (typo in package description) and
> #674838 (fonts-liberation path changed and the symbolic link is
> broken) look trivial, harmless, and useful enough to be worth
> including in Wheezy at this point.
> => Julien's third alternative makes sense to me.

Anyone any interest in preparing a t-p-u for that?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Wed, 09 Jan 2013 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 Jan 2013 22:45:03 GMT) Full text and rfc822 format available.

Message #39 received at 686547@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 686547@bugs.debian.org
Cc: intrigeri <intrigeri@boum.org>, Arno Töll <arno@debian.org>, Julien Cristau <jcristau@debian.org>, Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#686547: unblock: calibre/0.8.64+dfsg-1
Date: Wed, 9 Jan 2013 23:42:38 +0100
[Message part 1 (text/plain, inline)]
Hi,

(Christian, I came across this while looking for RC bugs as part of my
T&S.)

On Wed, Dec 19, 2012 at 07:40:04PM +0000, Adam D. Barratt wrote:
> On Wed, 2012-10-31 at 16:34 +0100, intrigeri wrote:
> > Julien Cristau wrote (30 Sep 2012 13:10:55 GMT) :
> > > 3) upload to tpu a fix for whatever issues are serious enough, not just
> > > #653328.
> > 
> > Apart of #653328, only bugs of severity normal or minor were fixed
> > since 0.8.51+dfsg-1.
> > 
> > However, the fixes for #678686 (typo in package description) and
> > #674838 (fonts-liberation path changed and the symbolic link is
> > broken) look trivial, harmless, and useful enough to be worth
> > including in Wheezy at this point.
> > => Julien's third alternative makes sense to me.
> 
> Anyone any interest in preparing a t-p-u for that?

I've prepared a t-p-u candidate with all the above, based on Arno's
previous t-p-u candidate. I just pulled in the fixes for #678686 and
#674838 as applied by Martin in later versions of the package.

Everything's available on http://www.sk2.org/calibre/ with the dsc at
http://www.sk2.org/calibre/calibre_0.8.51+dfsg+wheezy1-1.1.dsc - I'm
not (yet) a DD so I'd need a sponsor (Christian?) if the release team
are OK with the package.

The changelog is as follows:

calibre (0.8.51+dfsg+wheezy1-1.1) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  
  [ Arno Töll ]
  * Remove quick_start.epub from the tarball, do not install said file to the
    calibre binary package. See #653328 for background. Upstream version
    0.8.64 includes this file with a changed license again, so no change is
    needed with respect to Debian. (Closes: #653328)
  
  [ Martin Pitt ]
  * debian/control: Fix "upports" typo. (Closes: #678686)
  * debian/control, debian/rules: ttf-liberation is no more, move to
    fonts-liberation. Thanks to Kan-Ru Chen! (Closes: #674838)

 -- Stephen Kitt <steve@sk2.org>  Wed, 09 Jan 2013 08:12:30 +0100


The debdiff against the package in testing is as follows:

diff -Nru calibre-0.8.51+dfsg/debian/calibre.README.Debian calibre-0.8.51+dfsg+wheezy1/debian/calibre.README.Debian
--- calibre-0.8.51+dfsg/debian/calibre.README.Debian	2012-05-14 12:13:47.000000000 +0200
+++ calibre-0.8.51+dfsg+wheezy1/debian/calibre.README.Debian	2013-01-09 23:25:50.000000000 +0100
@@ -4,7 +4,7 @@
 Customizing LRF fonts
 ---------------------
 By default, the calibre package maps the LRF standard fonts to the the
-free Liberation fonts (package ttf-liberation):
+free Liberation fonts (package fonts-liberation):
 
   Swis721 BT Roman     -> LiberationSans-Regular.ttf
   Dutch801 Rm BT Roman -> LiberationSerif-Regular.ttf
diff -Nru calibre-0.8.51+dfsg/debian/changelog calibre-0.8.51+dfsg+wheezy1/debian/changelog
--- calibre-0.8.51+dfsg/debian/changelog	2012-05-14 12:13:47.000000000 +0200
+++ calibre-0.8.51+dfsg+wheezy1/debian/changelog	2013-01-09 08:13:42.000000000 +0100
@@ -1,3 +1,20 @@
+calibre (0.8.51+dfsg+wheezy1-1.1) testing-proposed-updates; urgency=low
+
+  * Non-maintainer upload.
+  
+  [ Arno Töll ]
+  * Remove quick_start.epub from the tarball, do not install said file to the
+    calibre binary package. See #653328 for background. Upstream version
+    0.8.64 includes this file with a changed license again, so no change is
+    needed with respect to Debian. (Closes: #653328)
+  
+  [ Martin Pitt ]
+  * debian/control: Fix "upports" typo. (Closes: #678686)
+  * debian/control, debian/rules: ttf-liberation is no more, move to
+    fonts-liberation. Thanks to Kan-Ru Chen! (Closes: #674838)
+
+ -- Stephen Kitt <steve@sk2.org>  Wed, 09 Jan 2013 08:12:30 +0100
+
 calibre (0.8.51+dfsg-1) unstable; urgency=low
 
   * New upstream release.
diff -Nru calibre-0.8.51+dfsg/debian/control calibre-0.8.51+dfsg+wheezy1/debian/control
--- calibre-0.8.51+dfsg/debian/control	2012-05-14 12:13:47.000000000 +0200
+++ calibre-0.8.51+dfsg+wheezy1/debian/control	2013-01-09 08:11:24.000000000 +0100
@@ -57,7 +57,7 @@
  xdg-utils, 
  imagemagick,
  poppler-utils,
- ttf-liberation,
+ fonts-liberation,
  calibre-bin (>= ${source:Version}),
  ${misc:Depends}
 Recommends: python-dnspython
@@ -107,7 +107,7 @@
  Calibre is primarily an e-book cataloging program. It manages your e-book
  collection for you. It is designed around the concept of the logical book,
  i.e. a single entry in the database that may correspond to e-books in several
- formats. It also upports conversion from a dozen different e-book formats to
+ formats. It also supports conversion from a dozen different e-book formats to
  LRF and EPUB. A graphical interface to the conversion software can be
  accessed easily by just clicking the "Convert E-books" button.
  .
diff -Nru calibre-0.8.51+dfsg/debian/rules calibre-0.8.51+dfsg+wheezy1/debian/rules
--- calibre-0.8.51+dfsg/debian/rules	2012-05-14 12:13:47.000000000 +0200
+++ calibre-0.8.51+dfsg+wheezy1/debian/rules	2013-01-09 08:11:56.000000000 +0100
@@ -42,9 +42,9 @@
 	# remove hardcoded prs500 fonts, so that calibre falls back to
 	# using the liberation ones in /usr/share/fonts/
 	rm -r debian/tmp/usr/share/calibre/fonts/prs500/
-	# do not ship a copy of ttf-liberation
+	# do not ship a copy of fonts-liberation
 	rm -r debian/tmp/usr/share/calibre/fonts/liberation/
-	ln -s /usr/share/fonts/truetype/ttf-liberation/ debian/tmp/usr/share/calibre/fonts/liberation
+	ln -s /usr/share/fonts/truetype/liberation/ debian/tmp/usr/share/calibre/fonts/liberation
 
 	# fix executable permissions
 	find debian/tmp/usr/lib/calibre/calibre -type f | xargs chmod a-x
@@ -89,6 +89,7 @@
 	rm prs500/tt0003m_.ttf; ln -s ../liberation/LiberationSans-Regular.ttf prs500/tt0003m_.ttf; \
 	rm prs500/tt0011m_.ttf; ln -s ../liberation/LiberationSerif-Regular.ttf prs500/tt0011m_.ttf; \
 	rm prs500/tt0419m_.ttf; ln -s ../liberation/LiberationMono-Regular.ttf prs500/tt0419m_.ttf; \
+	cd $$D; cd calibre*/resources ; rm quick_start.epub ; \
 	cd $$D; tar c . | xz -9 > ../../../calibre_$$V+dfsg.orig.tar.xz; \
 	cd ../..; rm -r debian/orig; \
 	find -mindepth 1 -maxdepth 1 ! -name '.bzr*' ! -name debian | xargs rm -rf; \


Regards,

Stephen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Wed, 16 Jan 2013 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 16 Jan 2013 23:27:03 GMT) Full text and rfc822 format available.

Message #44 received at 686547@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 686547@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, intrigeri <intrigeri@boum.org>, Arno Töll <arno@debian.org>, Julien Cristau <jcristau@debian.org>, Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#686547: unblock: calibre/0.8.64+dfsg-1
Date: Thu, 17 Jan 2013 00:22:24 +0100
[Message part 1 (text/plain, inline)]
On Wed, 9 Jan 2013 23:42:38 +0100, Stephen Kitt <steve@sk2.org> wrote:
> On Wed, Dec 19, 2012 at 07:40:04PM +0000, Adam D. Barratt wrote:
> > Anyone any interest in preparing a t-p-u for that?
> 
> I've prepared a t-p-u candidate with all the above, based on Arno's
> previous t-p-u candidate. I just pulled in the fixes for #678686 and
> #674838 as applied by Martin in later versions of the package.
> 
> Everything's available on http://www.sk2.org/calibre/ with the dsc at
> http://www.sk2.org/calibre/calibre_0.8.51+dfsg+wheezy1-1.1.dsc - I'm
> not (yet) a DD so I'd need a sponsor (Christian?) if the release team
> are OK with the package.

And after discussion with Christian and -devel/-mentors, the updated package
is available at http://www.sk2.org/calibre/calibre_0.8.51+dfsg1-0.1.dsc with
the same contents, packaged as version 0.8.51+dfsg1-0.1 (what a surprise!).

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Removed tag(s) moreinfo. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Thu, 17 Jan 2013 19:00:08 GMT) Full text and rfc822 format available.

Changed Bug title to 't-p-u approval: calibre/0.8.51+dfsg1-0.1' from 'unblock: calibre/0.8.64+dfsg-1' Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Thu, 17 Jan 2013 19:00:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Fri, 18 Jan 2013 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 18 Jan 2013 20:51:03 GMT) Full text and rfc822 format available.

Message #53 received at 686547@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Stephen Kitt <steve@sk2.org>, 686547@bugs.debian.org
Cc: intrigeri <intrigeri@boum.org>, Arno Töll <arno@debian.org>, Julien Cristau <jcristau@debian.org>, Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#686547: unblock: calibre/0.8.64+dfsg-1
Date: Fri, 18 Jan 2013 20:49:44 +0000
Control: tags -1 + confirmed

On Thu, 2013-01-17 at 00:22 +0100, Stephen Kitt wrote:
> And after discussion with Christian and -devel/-mentors, the updated package
> is available at http://www.sk2.org/calibre/calibre_0.8.51+dfsg1-0.1.dsc with
> the same contents, packaged as version 0.8.51+dfsg1-0.1 (what a surprise!).

Assuming that the debdiff is (modulo the version number) the same as
that in <MID:20130109224238.GA20348@sk2.org>, please go ahead; thanks.

Regards,

Adam




Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 686547-submit@bugs.debian.org. (Fri, 18 Jan 2013 20:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Sat, 19 Jan 2013 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 19 Jan 2013 15:15:04 GMT) Full text and rfc822 format available.

Message #60 received at 686547@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 686547@bugs.debian.org, Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#686547: unblock: calibre/0.8.64+dfsg-1
Date: Sat, 19 Jan 2013 16:12:06 +0100
[Message part 1 (text/plain, inline)]
On Fri, 18 Jan 2013 20:49:44 +0000, "Adam D. Barratt"
<adam@adam-barratt.org.uk> wrote:
> On Thu, 2013-01-17 at 00:22 +0100, Stephen Kitt wrote:
> > And after discussion with Christian and -devel/-mentors, the updated
> > package is available at
> > http://www.sk2.org/calibre/calibre_0.8.51+dfsg1-0.1.dsc with the same
> > contents, packaged as version 0.8.51+dfsg1-0.1 (what a surprise!).
> 
> Assuming that the debdiff is (modulo the version number) the same as
> that in <MID:20130109224238.GA20348@sk2.org>, please go ahead; thanks.

It is indeed, thanks.

Christian, can you sponsor the upload?

Thanks,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686547; Package release.debian.org. (Sat, 19 Jan 2013 16:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 19 Jan 2013 16:15:06 GMT) Full text and rfc822 format available.

Message #65 received at 686547@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Stephen Kitt <steve@sk2.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 686547@bugs.debian.org
Subject: Re: Bug#686547: unblock: calibre/0.8.64+dfsg-1
Date: Sat, 19 Jan 2013 17:04:43 +0100
[Message part 1 (text/plain, inline)]
Quoting Stephen Kitt (steve@sk2.org):
> On Fri, 18 Jan 2013 20:49:44 +0000, "Adam D. Barratt"
> <adam@adam-barratt.org.uk> wrote:
> > On Thu, 2013-01-17 at 00:22 +0100, Stephen Kitt wrote:
> > > And after discussion with Christian and -devel/-mentors, the updated
> > > package is available at
> > > http://www.sk2.org/calibre/calibre_0.8.51+dfsg1-0.1.dsc with the same
> > > contents, packaged as version 0.8.51+dfsg1-0.1 (what a surprise!).
> > 
> > Assuming that the debdiff is (modulo the version number) the same as
> > that in <MID:20130109224238.GA20348@sk2.org>, please go ahead; thanks.
> 
> It is indeed, thanks.
> 
> Christian, can you sponsor the upload?

I was indeed just building the package while you were writing this
mail : les grands esprits se rencontrent..:-)

Upload in progress right now...

[signature.asc (application/pgp-signature, inline)]

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 19 Jan 2013 19:09:04 GMT) Full text and rfc822 format available.

Notification sent to jimmy the saint <lowid95@gmail.com>:
Bug acknowledged by developer. (Sat, 19 Jan 2013 19:09:04 GMT) Full text and rfc822 format available.

Message #70 received at 686547-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian PERRIER <bubulle@debian.org>, 686547-done@bugs.debian.org
Cc: Stephen Kitt <steve@sk2.org>
Subject: Re: Bug#686547: unblock: calibre/0.8.64+dfsg-1
Date: Sat, 19 Jan 2013 19:07:42 +0000
On Sat, 2013-01-19 at 17:04 +0100, Christian PERRIER wrote:
> Quoting Stephen Kitt (steve@sk2.org):
> > On Fri, 18 Jan 2013 20:49:44 +0000, "Adam D. Barratt"
> > <adam@adam-barratt.org.uk> wrote:
> > > Assuming that the debdiff is (modulo the version number) the same as
> > > that in <MID:20130109224238.GA20348@sk2.org>, please go ahead; thanks.
> > 
> > It is indeed, thanks.
> > 
> > Christian, can you sponsor the upload?
> 
> I was indeed just building the package while you were writing this
> mail : les grands esprits se rencontrent..:-)
> 
> Upload in progress right now...

Unblocked; thanks.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Feb 2013 07:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:35:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.